Package org.apache.storm.starter.trident

# Class TridentMinMaxOfDevicesTopology

java.lang.Object
org.apache.storm.starter.trident.TridentMinMaxOfDevicesTopology

public class TridentMinMaxOfDevicesTopology extends Object
This class demonstrates different usages of * `Stream.minBy(String)` * `Stream.maxBy(String)` operations on trident `Stream`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TridentMinMaxOfDevicesTopology()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StormTopology`
  `buildDevicesTopology()`
  Creates a topology with device-id and count (which are whole numbers) as tuple fields in a stream and it finally generates result stream based on min amd max with device-id and count values.
  `static StormTopology`
  `buildVehiclesTopology()`
  Creates a topology which demonstrates min/max operations on tuples of stream which contain vehicle and driver fields with values `TridentMinMaxOfDevicesTopology.Vehicle` and `TridentMinMaxOfDevicesTopology.Driver` respectively.
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TridentMinMaxOfDevicesTopology

    public TridentMinMaxOfDevicesTopology()

- ## Method Details

  - ### buildDevicesTopology

    public static StormTopology buildDevicesTopology()
    Creates a topology with device-id and count (which are whole numbers) as tuple fields in a stream and it finally generates result stream based on min amd max with device-id and count values.

  - ### buildVehiclesTopology

    public static StormTopology buildVehiclesTopology()
    Creates a topology which demonstrates min/max operations on tuples of stream which contain vehicle and driver fields with values `TridentMinMaxOfDevicesTopology.Vehicle` and `TridentMinMaxOfDevicesTopology.Driver` respectively.

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`